Skip to main content
POST
/
webhooks
/
{public_id}
/
rotate-secret
Rotate the signing secret
curl --request POST \
  --url https://app.sendmux.ai/api/v1/webhooks/{public_id}/rotate-secret \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "id": "whk_clxxxxxxxxxxxxxxxxxxxxxxxxx",
    "name": "Acme inbound forwarder",
    "url": "https://hooks.acme.com/sendmux",
    "event_types": [
      "message.bounced",
      "message.received"
    ],
    "filters": {
      "mailbox_ids": [
        "mbx_clxxxxxxxxxxxxxxxxxxxxxxxxx"
      ]
    },
    "enabled": true,
    "failing": false,
    "created_at": "2026-04-23T09:12:00Z",
    "updated_at": "2026-04-23T09:12:00Z",
    "secret": "whsec_a9f3c2…"
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

Idempotency-Key
string

Client-chosen unique key to safely retry the request. Cached for 24h per (team, endpoint, key). Different target public_id under the same key returns 409 idempotency_conflict.

Maximum string length: 255
Example:

"webhooks-rotate-20260424-001"

Path Parameters

public_id
string
required

Webhook public ID

Response

Subscription with new signing secret

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required